- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-dirstream.h File Reference

`#include <sbuild/sbuild-custom-error.h>`
`#include <iostream>`
`#include <deque>`
`#include <string>`
`#include <sys/types.h>`
`#include <dirent.h>`

Include dependency graph for sbuild-dirstream.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | sbuild
## Classes
class | sbuild::direntry
| An entry in a dirstream. More...
class | sbuild::dirstream
| Access directories. More...
## Functions
dirstream & | sbuild::operator>> (dirstream &stream, direntry &entry)
| The overloaded extraction operator.